hscolour-1.24.1: Colourise Haskell code.

Safe Haskell | Safe
Language | Haskell98

Language.Haskell.HsColour.Classify

Synopsis

- data TokenType
  - = Space
  - | Keyword
  - | Keyglyph
  - | Layout
  - | Comment
  - | Conid
  - | Varid
  - | Conop
  - | Varop
  - | String
  - | Char
  - | Number
  - | Cpp
  - | Error
  - | Definition
- tokenise :: String -> [(TokenType, String)]

# Documentation

data TokenType #

Classification of tokens as lexical entities

Constructors

Space |
Keyword |
Keyglyph |
Layout |
Comment |
Conid |
Varid |
Conop |
Varop |
String |
Char |
Number |
Cpp |
Error |
Definition |

Instances

Eq TokenType # |
Methods (==) :: TokenType -> TokenType -> Bool # (/=) :: TokenType -> TokenType -> Bool #
Show TokenType # |
Methods showsPrec :: Int -> TokenType -> ShowS # show :: TokenType -> String # showList :: [TokenType] -> ShowS #

tokenise :: String -> [(TokenType, String)] #

Lex Haskell source code into an annotated token stream, without discarding any characters or layout.